

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>News - 1.3.x &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../ja/html/news/1.3.x.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.3.x</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="news-1-3-x">
<h1>News - 1.3.x<a class="headerlink" href="#news-1-3-x" title="Permalink to this headline">¶</a></h1>
<div class="section" id="release-1-3-0-2012-01-29">
<span id="release-1-3-0"></span><h2>Release 1.3.0 - 2012-01-29<a class="headerlink" href="#release-1-3-0-2012-01-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="improvements">
<h3>Improvements<a class="headerlink" href="#improvements" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported dynamic DB key table change by
GRN_DB_KEY=pat or GRN_DB_KEY=dat environment variable value.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">--with-default-db-key</span></code> configure option that
specifies the default DB key table.</p></li>
<li><p>Supported “” value for geo point data types. It’s interpreted as “0x0”.</p></li>
<li><p>Added column name to cast error message.</p></li>
<li><p>Inhibit file information for stdin on load error.</p></li>
<li><p>Enabled write-strings warnings and suppress those
warnings. [Suggested by montywi]</p></li>
<li><p>Marked MessagePack output format as supported. [#1215]</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">const</span></code> to <code class="docutils literal notranslate"><span class="pre">void</span> <span class="pre">*</span></code> of <code class="docutils literal notranslate"><span class="pre">*_set_value()</span></code>.</p></li>
<li><p>Enabled warning flags on C and C++.</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">--with-libevent</span></code> without value configure option.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_table_get()</span></code> supported grn_db. [#1242]</p></li>
<li><p>[rpm] Removed needless groonga-munin-plugins dependency
from groonga-server. [#1251] [Suggested by Masaharu IWAI]</p></li>
<li><p>[rpm] Removed needless groonga-doc dependency
from groonga. [#1251] [Suggested by Masaharu IWAI]</p></li>
<li><p>[dat] Supported repair by <code class="docutils literal notranslate"><span class="pre">grn_dat_repair()</span></code>.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_table_at()</span></code> supported grn_db.</p></li>
<li><p>[suggest] Removed unstable mark.</p></li>
<li><p>[suggest][complete] Supported normalized value search in prefix-search.</p></li>
<li><p>Added experimental offline index build. It’s disabled by
default for now. You can enable it by
USE_OFFLINE_INDEXER=yes environment variable.</p></li>
<li><p>Added internal API <code class="docutils literal notranslate"><span class="pre">grn_obj_path_by_id()</span></code> for mroonga.</p></li>
<li><p>[suggest][httpd] Passed unknown parameters to groonga.</p></li>
<li><p>[output][xml] Added a newline before <code class="docutils literal notranslate"><span class="pre">&lt;/RESULT&gt;</span></code> for readability.</p></li>
<li><p>[doc][output] Added documentation about output format type.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">table_rename</span></code>. [#1234]</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">column_rename</span></code>. [#1234]</p></li>
</ul>
</div>
<div class="section" id="thanks">
<h3>Thanks<a class="headerlink" href="#thanks" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>montywi</p></li>
<li><p>Masaharu IWAI</p></li>
</ul>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">News - 1.3.x</a><ul>
<li><a class="reference internal" href="#release-1-3-0-2012-01-29">Release 1.3.0 - 2012-01-29</a><ul>
<li><a class="reference internal" href="#improvements">Improvements</a></li>
<li><a class="reference internal" href="#thanks">Thanks</a></li>
</ul>
</li>
</ul>
</li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 1.3.x</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>